import http from '@/utils/request'

// 统计部门任务
export function overview (params) {
  return http.post('/digitizationData/index/overview/statistics ', params)
}

export function overviewstatistics (params) {
  return http.post('/digitizationData/index/emp/overview/statistics', params)
}
export function statisticsposition (params) {
  return http.post('/digitizationData/core/graph/data', params)
}

// excel钻取下载
export function downloadExcel (params) {
  return http.post('/digitizationData/data/download/excel', params)
}

export function getdepts (params) {
  return http.post('/digitizationData/statistics/depts', params)
}

// 员工列表
export function getEmps (params) {
  return http.post('/digitizationData/statistics/emps', params)
}

// 首页相关
export function empDashboard (params) {
  return http.get('/digitizationData/statistics/empDashboard', params)
}

// 数据维护
// --查询自维护任务列表
export function maintaintasks (params) {
  return http.post('/digitizationData/data/maintain/tasks', params)
}

// 单文件运行
export function maintainupdata (params) {
  return http.post('/digitizationData/data/maintain/update', params)
}

// 批量运行
export function updateFiletypes (params) {
  return http.post('/digitizationData/data/maintain/update/filetypes', params)
}

// 单文件查询日志
export function maintainrunList (params) {
  return http.post('/digitizationData/data/maintain/run/list', params)
}

// 钻取
// 新员工钻取
export function newemp (params) {
  return http.post('/digitizationData/data/drilling/new/emp', params)
}
// 党员钻取
export function partymember (params) {
  return http.post('/digitizationData/data/drilling/emp/party/member', params)
}

// 首页员工工龄
export function empYears () {
  return http.post('/digitizationData/index/emp/years')
}

// 检查nas
export function tryNas (params) {
  return http.post('/digitizationData/data/maintain/try/nas', params)
}
// 配置nas
export function saveNasSetting (params) {
  return http.post('/digitizationData/data/maintain/save/nas/setting', params)
}
// 查询nas
export function getNasSetting () {
  return http.post('/digitizationData/data/maintain/get/setting')
}

// 拓面提质评价结果、明细下载
export function surfaceExport (params) {
  return http.download('/digitizationData/surface/improvement/export', params)
}

// 拓面提质
export function surfaceList (params) {
  return http.post('/digitizationData/surface/improvement/query', params)
}

// 支行绩效分析
export function branchPerformance (params) {
  return http.post('/digitizationData/branch/performance', params)
}

// 支行绩效分析时间清单
export function branchPerformanceMonths (params) {
  return http.post('/digitizationData/branch/performance/months', params)
}

// 分行本部和薪酬上收人员
export function empFullProductSalaryCollection (params) {
  return http.post('/digitizationData/employee/full/product/salary/collection', params)
}

// 专业变化趋势
export function insititutionalPerformanceMajorList (params) {
  return http.post('/digitizationData/institutional/performance/major/list', params)
}

// 支行变化趋势
export function insititutionalPerformanceBranchList (params) {
  return http.post('/digitizationData/institutional/performance/branch/list', params)
}

// 员工计价汇总
export function employeeFullProductScoreList (params) {
  return http.post('/digitizationData/employee/full/product/score/list', params)
}

// 员工计价汇总钻取
export function employeeFullProductScoreDetail (params) {
  return http.post('/digitizationData/full/product/score/employee/detail', params)
}

// 专业变化趋势钻取明细
export function institutionalPerformanceDetail (params) {
  return http.post('/digitizationData/institutional/performance/major/detail2', params)
}
// 月度员工计奖清单
export function employeeMonthScoreList (params) {
  return http.post('/digitizationData/institutional/performance/employee/month/score/list', params)
}

// 绩效发放列表
export function performanceDistributionList (params) {
  return http.post('/digitizationData/institutional/performance/distribution/list2', params)
}

// 绩效发放2
export function performanceMajorAmountGrant3 (params) {
  return http.post('/digitizationData/institutional/performance/major/amount/grant3', params)
}

// 专业下产品积分明细
export function performanceMajorDetail (params) {
  return http.post('/digitizationData/institutional/performance/major/detail', params)
}

// 亲属关系分析
export function relationshipAnalysis (params) {
  return http.post('/make/kinship/pie', params)
}

// 亲属关系分析-钻取树状图
export function relationshipAnalysisDetail (params) {
  return http.post('/make/kinship_community/graph', params)
}

// 全产品计价-相似度分析
export function productSimilarity (params) {
  return http.post('/product/similarity', params)
}

// 热点关注-词云
export function ciyun (params) {
  return http.post('/analysis/person/ciyun', params)
}

// 词云钻取
export function ciyunDetails (params) {
  return http.post('/analysis/detail/ciyun', params)
}

// 员工总结图谱&钻取
export function empSummaryGraph (params) {
  return http.post('/digitizationData/statistics/word/relationship', params)
}

/* =====================考勤分析================================ */
// 员工工时汇总分析
export function empAttendance (params) {
  return http.post('/digitizationData/base/emp/attendance/type/statistics', params)
}

// 机构工时汇总分析
export function deptAttendance (params) {
  return http.post('/digitizationData/base/org/attendance/type/statistics', params)
}

// 员工、机构工时钻取
export function attendanceDetail (params) {
  return http.post('/digitizationData/base/emp/attendance/type/detail', params)
}

// 考勤类型字典
export function attendanceTypeDict () {
  return http.post('/digitizationData/base/attendance/type/dict')
}

// 员工连续在榜分析
export function empAttendanceContinuousTop (params) {
  return http.post('/digitizationData/base/emp/attendance/type/continuous/top', params)
}
/* ====================================================================== */

// 全产品计价-专业汇总统计
export function performanceMajorStatistics (params) {
  return http.post('/digitizationData/institutional/performance/major/statistics', params)
}

// 全产品计价-产品汇总统计
export function performanceProductStatistics (params) {
  return http.post('/digitizationData/institutional/performance/product/statistics', params)
}

// 检查是否可以切换积分类型
export function fullProductScoreCategoryUseCheck (params) {
  return http.post('/digitizationData/full/product/score/category/use/check', params)
}

// 工作日程列表
export function getWorkdayList (params) {
  return http.post('/digitizationData/workday/list', params)
}

// 工作日程保存
export function workdaySave (params) {
  return http.post('/digitizationData/workday/save', params)
}

// 考勤信息下载
export function attendanceDownload (params) {
  return http.download('/digitizationData/attendance/download', params)
}

// 概览统计月份字典
export function getDateDict () {
  return http.post('/digitizationData/humanresources/data/overview/dict')
}

// 人员统计月份字典
export function getDateDictToPerson () {
  return http.post('/digitizationData/humanresources/data/employee/dict')
}

// 干部统计月份字典
export function getDateDictToCadre () {
  return http.post('/digitizationData/humanresources/data/cadre/dict')
}

// 机构统计月份字典
export function getDateDictToOrg () {
  return http.post('/digitizationData/humanresources/data/org/dict')
}

// 党建统计月份字典
export function getDateDictToParty () {
  return http.post('/digitizationData/humanresources/data/party/dict')
}
